using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.HM
{
  [Description("风险评价计划附件表")]
  public partial class T_HM_EVALUATION_FILE : MesEntityBase
  {
        [Description("风险评价计划ID")]
        [DataFieldForeignKey("Nav_EvaluationPlan", "Nav_Files")]
        public Guid EVALUATION_PLAN_ID { get; set; }
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid? IMG_FILE_ID { get; set; }

        [Description("导航属性：风险评价计划")]
        public virtual T_HM_EVALUATION_PLAN Nav_EvaluationPlan { get; set; }
        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
   }
}
